<template>
  <div>
    <b-button
      variant="warning"
      class="mr-1"
      @click="showModal"
    >
      <b-icon icon="pencil-square"></b-icon>
    </b-button>
    
    <b-modal
      ref="my-modal"
      hide-header-close
      title="Edit Data"
      header-bg-variant="success"
      header-text-variant="white"
    >
      <label></label>
      <b-form-input v-model="p_Daily"></b-form-input>
      <template #modal-footer="{ hide }">
        <b-button  variant="danger" class="mt-3" @click="hide();">Cancel</b-button>
        <b-button  variant="success" class="mt-3" @click="$emit('edit', {
              id,
              p_Daily,
            });hide();">Save</b-button>
      </template>
    </b-modal>
  </div>
</template>

<script>
export default {
  name: "EditBtn",
  props: {
    id: String,
    Daily: String,
  },
  data() {
    return {
      p_Daily: this.Daily,
      dialog: false,
    };
  },

    methods: {
    showModal() {
      this.$refs["my-modal"].show();
    },
  },
};
</script>
